Bug 166288 - new port: devel/ultragetopt
Summary: new port: devel/ultragetopt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-21 06:50 UTC by Timothy Beyer
Modified: 2012-04-06 19:20 UTC (History)
1 user (show)

See Also:


Attachments
ultragetopt.shar (2.16 KB, text/plain)
2012-03-21 06:50 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2012-03-21 06:50:13 UTC
UltraGetopt is a versatile and customizable implementation of getopt() with
support for many common extensions, MS-DOS formatted option strings, and much
more.  It can function as a drop-in replacement for getopt() on systems with or
without existing vendor-provided implementations and also as a separate
co-existing function.

Fix: The included shar, and all prerequisite shar files
How-To-Repeat: extract shar archive and build port
Comment 1 Carlo Strub freebsd_committer 2012-03-29 10:41:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-04-06 19:12:36 UTC
cs          2012-04-06 18:12:26 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/ultragetopt    Makefile distinfo pkg-descr 
  Log:
  UltraGetopt is a versatile and customizable implementation of getopt() with
  support for many common extensions, MS-DOS formatted option strings, and much
  more.  It can function as a drop-in replacement for getopt() on systems with or
  without existing vendor-provided implementations and also as a separate
  co-existing function.
  
  WWW: http://kevinlocke.name/programs/ultragetopt.php
  
  PR:             ports/166288
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    wen@ (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4914    +1 -0      ports/devel/Makefile
  1.1       +26 -0     ports/devel/ultragetopt/Makefile (new)
  1.1       +2 -0      ports/devel/ultragetopt/distinfo (new)
  1.1       +7 -0      ports/devel/ultragetopt/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Carlo Strub freebsd_committer 2012-04-06 19:13:24 UTC
State Changed
From-To: open->closed

Committed. Thank you very much.